org.apache.ignite.internal.processors.igfs

## Class IgfsUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsUtils

    public class IgfsUtils
    extends Object

Common IGFS utility methods.

### Method Summary

Methods
`static IgfsException` `newIgfsException(Class<? extends IgfsException> cls, String msg, Throwable cause)` Construct new IGFS exception passing specified message and cause.
`static IgfsException` `toIgfsException(Exception err)` Converts any passed exception to IGFS exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toIgfsException

    public static IgfsException toIgfsException(Exception err)

Converts any passed exception to IGFS exception.

Parameters:
  `err` - Initial exception.
Returns:
  Converted IGFS exception.

#### newIgfsException

    public static IgfsException newIgfsException(Class<? extends IgfsException> cls,
                                 String msg,
                                 Throwable cause)

Construct new IGFS exception passing specified message and cause.

Parameters:
  `cls` - Class.
  `msg` - Message.
  `cause` - Cause.
Returns:
  New IGFS exception.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015